Sync User To Panel
curl --request POST \
--url https://api.example.com/cabinet/admin/users/{user_id}/sync/to-panel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"create_if_missing": true,
"update_status": true,
"update_traffic_limit": true,
"update_expire_date": true,
"update_squads": true
}
'import requests
url = "https://api.example.com/cabinet/admin/users/{user_id}/sync/to-panel"
payload = {
"create_if_missing": True,
"update_status": True,
"update_traffic_limit": True,
"update_expire_date": True,
"update_squads": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
create_if_missing: true,
update_status: true,
update_traffic_limit: true,
update_expire_date: true,
update_squads: true
})
};
fetch('https://api.example.com/cabinet/admin/users/{user_id}/sync/to-panel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"action": "",
"panel_uuid": "<string>",
"changes": {},
"errors": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cabinet Admin Users
Sync User To Panel
Sync user data FROM bot TO panel.
Sends user/subscription data to Remnawave panel, creating or updating as needed.
POST
/
cabinet
/
admin
/
users
/
{user_id}
/
sync
/
to-panel
Sync User To Panel
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Request to sync user to panel.
Create user in panel if not exists
Update user status in panel
Update traffic limit in panel
Update expire date in panel
Update connected squads in panel
⌘I
